namespace kvalifikacije
{
    internal class Program
    {
        static void prviZad()
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            int x1 = x, y1 = y;
            int broj = 0, i = 1;
            while(x > 0 && y > 0)
            {
                int cifra1 = x % 10; 
                int cifra2 = y % 10;
                x /= 10; 
                y /= 10;
                if(cifra1 > cifra2)
                {
                    broj += cifra1 * i;
                }else if(cifra1 < cifra2)
                {
                    broj += cifra2 * i;
                }
                else
                {
                    broj += cifra1 * i;
                    i *= 10;
                    broj += cifra2 * i;
                }
                i *= 10;
            }
            if(x > 0)
            {
                int cifra1 = x1 / i;
                broj += cifra1*i;
            }
            else
            {
                int cifra2 = y1 / i;
                broj += cifra2*i;
            }
            Console.WriteLine(broj);
        }
        static void Main(string[] args)
        {
            prviZad();
        }
    }
}